Index: trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 259)
+++ trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 260)
@@ -11,5 +11,5 @@
 if($perr) {
 	$sezstat=1;
-	$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #FF3300;' where id_cons='$id_cons' and id_sez='$id_sez'"; #ROSSO
+	$sql="UPDATE ".$prefix."_ele_sezioni set colore='#FF3300' where id_cons='$id_cons' and id_sez='$id_sez'"; #ROSSO
 	$res = $dbi->prepare("$sql");
 	$res->execute();	
@@ -25,5 +25,5 @@
 	if($liste && $liste==$res->rowCount()){
 		$sezstat=2;
-		$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #99CC33;' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE
+		$sql="UPDATE ".$prefix."_ele_sezioni set colore='#99CC33' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE
 		$res = $dbi->prepare("$sql");
 		$res->execute();		
@@ -35,12 +35,12 @@
 		if($res->rowCount()>0){
 			$sezstat=3;
-			$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #48D1CC;' where id_cons='$id_cons' and id_sez='$id_sez'"; #"MEDIUMTORQUOISE"
+			$sql="UPDATE ".$prefix."_ele_sezioni set colore='#48D1CC' where id_cons='$id_cons' and id_sez='$id_sez'"; #"MEDIUMTORQUOISE"
 			$res = $dbi->prepare("$sql");
 			$res->execute();
 		}elseif(!$sezstat){ #gruppi
 			if($genere)
-				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
 			else
-				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'";
+				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez'";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -48,5 +48,5 @@
 			if($righe){ 
 				$sezstat=4;
-				$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #B0C4DE;' where id_cons='$id_cons' and id_sez='$id_sez'"; #"LIGHTSTEELBLUE"
+				$sql="UPDATE ".$prefix."_ele_sezioni set colore='#B0C4DE' where id_cons='$id_cons' and id_sez='$id_sez'"; #"LIGHTSTEELBLUE"
 				$res = $dbi->prepare("$sql");
 				$res->execute();
@@ -58,5 +58,5 @@
 				if($voti) {
 					$sezstat=5;
-					$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #F5F5F5;' where id_cons='$id_cons' and id_sez'=$id_sez'"; #whitesmoke
+					$sql="UPDATE ".$prefix."_ele_sezioni set colore='#F5F5F5' where id_cons='$id_cons' and id_sez='$id_sez'"; #whitesmoke
 					$res = $dbi->prepare("$sql");
 					$res->execute(); 
@@ -68,8 +68,8 @@
 					$num_ril=$righe % 4;
 					
-					if($num_ril==0) {$cursez="style=\" background: #7FFFD4;";}#aquamarine
-					elseif($num_ril==1) {$cursez="style=\" background: #ADD8E6;";}#lightblue
-					elseif($num_ril==2) {$cursez="style=\" background: #DCDCDC;";}#gainsboro 
-					elseif($num_ril==3) {$cursez="style=\" background: #E0FFFF;";}#lightcyan 
+					if($num_ril==0) {$cursez="#DCDCDC";}#gainsboro
+					elseif($num_ril==1) {$cursez="#ADD8E6";}#lightblue
+					elseif($num_ril==2) {$cursez="#7FFFD4";} #aquamarine
+					elseif($num_ril==3) {$cursez="#E0FFFF";}#lightcyan 
 					$sql="UPDATE ".$prefix."_ele_sezioni set colore='$cursez' where id_cons='$id_cons' and id_sez='$id_sez'";
 					$res = $dbi->prepare("$sql");
Index: trunk/admin/modules/Elezioni/ele_sezione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_sezione.php	(revision 259)
+++ trunk/admin/modules/Elezioni/ele_sezione.php	(revision 260)
@@ -215,5 +215,5 @@
 	}elseif ($do == "add") {
 		if ($num_sez) {
-			$sql="insert into ".$prefix."_ele_sezioni (id_cons,id_sede,num_sez,maschi,femmine, autorizzati_m,autorizzati_f) values ('$id_cons', '$id_sede', '$num_sez','$maschi','$femmine','$aut_m', '$aut_f')";
+			$sql="insert into ".$prefix."_ele_sezioni (id_cons,id_sede,num_sez,maschi,femmine, autorizzati_m,autorizzati_f,colore) values ('$id_cons', '$id_sede', '$num_sez','$maschi','$femmine','$aut_m', '$aut_f','#FAFAD2')";
 			$res = $dbi->prepare("$sql");
 			$res->execute(); 
@@ -241,6 +241,7 @@
 
 
-if ($op=="sezione")
+if ($op=="sezione"){
     sezione($ok, $do,$id_sede,$id_sez, $num_sez, $aut_m, $aut_f, $maschi, $femmine, $id_sez2, $min);
+}
 ele();
 all();
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 259)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 260)
@@ -111,321 +111,4 @@
 }
 
-function stato_rilevazione($id_sez,$solosede){
-global $id_cons, $prefix, $dbi, $id_cons_gen,$status,$genere,$votol, $votog, $votoc,$idrefgruppo,$num_ril,$circo,$dettnulli,$tipo_cons;
-
-if($idrefgruppo and $genere==0) $perref= "and id_gruppo='$idrefgruppo'";
-else $perref="";
-$ops=0;
-$status=0;
-$stret=0; $contains=0;
-###########
-$sql="SELECT data,orario FROM ".$prefix."_ele_rilaff where id_cons_gen=$id_cons_gen order by data asc,orario asc";
-$res = $dbi->prepare("$sql");
-$res->execute();
-
-
-$num_ril=$res->rowCount();
-$sql="SELECT stato_aff, stato_val,stato_gru,stato_lis,stato_can,status FROM ".$prefix."_ele_controllosez where id_sez='$id_sez' and id_cons='$id_cons'";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-						
-if($res3->rowCount()){
-	list($aff,$val,$gru,$lis,$can,$status)=$res3->fetch(PDO::FETCH_NUM); 
-	if ($can) {$ops=-5;}
-	elseif ($lis) {$ops=-3;}
-	elseif($gru) {$ops=-4;}
-	elseif ($val) {$ops=-2;}
-	elseif($aff) {$ops=-1;}
-#	if($can==1) $status=1;
-}else{
-$aff=0;$lis=0;$val=0;$gru=0;$can=0;$stret=0;$status=0;
-##########################
-	if($ops==0){
-#controllo congruenza affluenze
-		$sql="SELECT count(num_sez) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-		list($numtot) = $res3->fetch(PDO::FETCH_NUM);
-		$test_ril=0;$pre_rilc=0;$pre_rilm=0;$pre_rilf=0;
-		if($res->rowCount())
-		while (list($giorno,$ora) = $res->fetch(PDO::FETCH_NUM)){
-			$test_ril++;
-			$query="SELECT voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' $perref and orario='$ora' and data='$giorno'";
-			$sql="$query";
-$res2 = $dbi->prepare("$sql");
-$res2->execute();
-
-
-			$numscru=$res2->rowCount();
-			$query="SELECT sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' $perref and orario='$ora' and data='$giorno'";
-			$sql="$query";
-$res2 = $dbi->prepare("$sql");
-$res2->execute();
-
-
-			list($voti)=$res2->fetch(PDO::FETCH_NUM);
-			if($numscru) {
-				if(isset($ora)){
-					$query="SELECT count(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' $perref and orario='$ora' and data='$giorno'";
-#					$res3 = mysql_query("$query";
-#					list($numscru)=mysql_fetch_row($res3);
-					$sql="SELECT maschi+autorizzati_m,femmine+autorizzati_f FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-					list($iscrittim,$iscrittif) = $res3->fetch(PDO::FETCH_NUM);
-					$iscritti=$iscrittim+$iscrittif;
-					
-					$query="SELECT voti_complessivi, voti_uomini, voti_donne FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' $perref and orario='$ora' and data='$giorno'";
-					$sql="$query";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-					list($voti, $uomini, $donne)=$res3->fetch(PDO::FETCH_NUM);
-						if (((($uomini+$donne)==0 and ($voti<=$iscritti) and $voti>=$pre_rilc) or ((($uomini+$donne)==$voti) and ($uomini<=$iscrittim) and ($donne<=$iscrittif) )) and $uomini>=$pre_rilm and $donne>=$pre_rilf and $voti>=$pre_rilc)
-						{
-							$ops=-1;$aff=1; $status=$test_ril;
-						}elseif($numscru) {$aff=-1;$stret=1;break;}
-						else {$status=0;$ops=-1;break;}
-				}
-			} else {$stret=-1;$aff=0;}
-		$pre_rilc=$voti; $pre_rilm=$uomini;$pre_rilf=$donne;
-		}
-		#if(isset($num_ril) and $num_ril==$test_ril) $status=1;
-
-		#controllo congruenza voti espressi
-			#per referendum
-		$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
-$resref = $dbi->prepare("$sql");
-$resref->execute();
-
-
-		if($genere==0){ 
-			$numscru=$resref->rowCount(); $rifscru=0;
-			while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
-			$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-$res2 = $dbi->prepare("$sql");
-$res2->execute();
-
-
-			$refscru=$res2->rowCount(); 
-				if($refscru){
-					$query="SELECT voti_complessivi FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo' order by data desc, orario desc";
-					$sql="$query";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-					list($voti)=$res3->fetch(PDO::FETCH_NUM);
-				
-					$rifscru++;
-					list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
-					if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) { if($rifscru==$numscru) $status=5; else $status=4; $ops=-4;$val=1;} #{$status=1;return (-4);}
-					else {$val=-1;$stret=4;break;} #return (4);
-				}	else { $stret=4;break;}
-			}
-		}else{
-			#per le altre consultazione
-		$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
-$res2 = $dbi->prepare("$sql");
-$res2->execute();
-
-
-		if($res2){
-		list($validi) = $res2->fetch(PDO::FETCH_NUM);
-			if($validi) {
-					$status=0;
-					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
-					$sql="$query";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista,$sololista)=$res4->fetch(PDO::FETCH_NUM);
-					if($validi>0) {
-						if (($validi+$nulli+$bianchi+$contestati+$votinulli)==$voti)
-							{$status=2;$ops=(-4+$votog);$val=1;}
-						else {$val=-1;$stret=(4-$votog);}
-					} #else return 0;
-			}
-		}
-		#controllo congruenza voti di gruppo
-		if($genere!=4){
-		$sql="SELECT sum(voti),sum(solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_cons='$id_cons'";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-		if($res3->rowCount() and !$votog){#$status=0;$ops=-4;
-			list($votigs,$votisolog) = $res3->fetch(PDO::FETCH_NUM);
-			if($votigs  and $genere!=2) {  
-				#	$status=0;
-#					$query="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
-#					$res4 = mysql_query("$query";
-#					list($votigs)=mysql_fetch_row($res4);
-					if($votigs>0||$sololista==$validi) {
-						if (($votigs+$sololista)==$validi && (!$sologruppo || $votisolog==($sologruppo*$dettnulli) || ($sologruppo<$validi and $validilista+$contestatilista+$votinullilista==0)))
-							{$status=3;$ops=-3;$gru=1;}
-						else {$gru=-1; $stret=4;}
-					} #else return 0;
-			}
-		}
-		}#else {$gru=1;echo "--$votigs -- $votog";}
-		if(($genere>1 and !$votol)){#$status=0;
-		$sql="SELECT t1.preferenze,t1.id_fascia,t2.limite,t1.disgiunto FROM ".$prefix."_ele_cons_comune as t1 left join ".$prefix."_ele_conf as t2 on t1.id_conf=t2.id_conf where t1.id_cons='$id_cons'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-		if($res4) list($testpref,$fascia,$limite,$disgiunto)=$res4->fetch(PDO::FETCH_NUM); else {$testpref=0;$fascia=0;$limite=0;}
-
-		#controllo congruenza voti di lista
-#		$res3= mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons'";
-#			list($votil) = mysql_fetch_row($res3);
-					$tablg=($fascia<=$limite && !$disgiunto) ? "gruppo":"lista";
-					$query="SELECT sum(voti),sum(solo_".$tablg.") FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
-					$sql=$query;
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-					list($votils,$votisolols)=$res4->fetch(PDO::FETCH_NUM);
-					$query="SELECT voti FROM ".$prefix."_ele_voti_$tablg where id_sez='$id_sez' and  id_cons='$id_cons'";	
-					$sql=$query;
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-					$sezscru=$res4->rowCount();
-			if($sezscru) {
-					if($genere==4 or $votog) {$contrlis= ($votisolols==$sololista || $votisolols==0) ? 1:0; }
-#################					
-				    else {
-					$contrlis=($sologruppo+$validilista+$contestatilista+$votinullilista)==$validi  ? 1:0;
-					if($contrlis and $disgiunto and ($sologruppo+$validilista+$contestatilista+$votinullilista)==0)
-						$contrlis=($votisolols==$sololista  || $votisolols==0) ? 1:0;
-						if($contrlis  and $tipo_cons==18 or $tipo_cons==19)
-							while ( list($id_gruppo)=$resref->fetch(PDO::FETCH_NUM))
-								{
-								$sql="SELECT sum(voti-solo_gruppo) FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez' and id_gruppo='$id_gruppo'";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
-
-								$sql="SELECT sum(voti+nulli_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and  id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$id_gruppo')";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-								list($vgruppo)=$res3->fetch(PDO::FETCH_NUM);
-								list($vliste)=$res4->fetch(PDO::FETCH_NUM);
-								if($vliste>$vgruppo) {$contrlis=0 ;} 
-								if($vliste<$vgruppo) {$contrlis=0 ;} 
-						}
-					}
-#################	
-					
-					if((($contrlis) and $validilista==$votils) or ($fascia<=$limite and $fascia)) {$status=4;$lis=1;$ops=-4;}
-					elseif($sezscru) {$stret=3;$lis=-1;}
-					
-#					if($votils>0) {
-					if($res4->rowCount()>0) {
-#						$res4= mysql_query("SELECT count(0) FROM ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and  id_sez='$id_sez' ";
-#						list($contains)=mysql_fetch_row($res4);
-#						if($contains==0) $tutte=1; else $tutte=0;
-							
-							$query="SELECT id_lista FROM ".$prefix."_ele_lista where id_cons='$id_cons' $circo";
-							$sql="$query";
-$res3 = $dbi->prepare("$sql");
-$res3->execute();
-
- 
-							$contaliste=$res3->rowCount();
-							$sql="SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-							if($res4->rowCount()) list($testpref)=$res4->fetch(PDO::FETCH_NUM); else $testpref=0;
-							while(list($testlista)=$res3->fetch(PDO::FETCH_NUM)){
-								if($fascia<=$limite and !$disgiunto and !$dettnulli)
-								{
-									$sql="SELECT id_gruppo FROM ".$prefix."_ele_lista where id_cons='$id_cons' and id_lista='$testlista'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-									list($idgruppo)=$res4->fetch(PDO::FETCH_NUM);
-									$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez' and id_gruppo='$idgruppo'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-
-								}else{
-									$sql="SELECT sum(voti) FROM ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez' and id_lista='$testlista'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-								}
-								if($res4) list($testvotil)=$res4->fetch(PDO::FETCH_NUM); else $testvotil=0;
-								$sql="SELECT sum(t1.voti) FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-								if($res4) list($testvotic)=$res4->fetch(PDO::FETCH_NUM); else $testvotic=0;
-								$sql="SELECT t1.voti FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and  t1.id_sez='$id_sez' and t2.id_lista='$testlista'";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-								if($res4->rowCount()) $contains++;
-								$totvotic=0;
-								while(list($testvotic)=$res4->fetch(PDO::FETCH_NUM))
-								{
-									$totvotic+=$testvotic;
-									if($testvotil<$testvotic) { $can=-1;break;}
-								}
-								if(($testvotil*$testpref)<$totvotic) { $can=-1;break;}
-							}
-							if($contains==$contaliste and $can==0) {$status=5;$can=1;$ops=-3;}
-							elseif($can==-1) {$stret=3;}
-					}						
-				}
-		}elseif($ops==-3){ $ops=-4;}
-		}
-					if(isset($can)){ 
-						$sql="insert into ".$prefix."_ele_controllosez values('$id_sez','$id_cons','$aff','$val','$gru','$lis','$can','$status')";
-$res4 = $dbi->prepare("$sql");
-$res4->execute();
-
-
-					}
-}
-} 
-if($aff==-1) {$stret=1;}
-elseif($val==-1) {$stret=(4-$votog);}
-elseif($gru==-1) {$stret=4;}
-elseif($lis==-1) {$stret=3;}
-elseif($can==-1) {$stret=3;}
-elseif($can==1) {$stret=-3;}
-elseif($lis==1) {$stret=-3;}
-elseif($gru==1) {$stret=-4;}
-elseif($val==1) {$stret=-(4-$votog);}
-else ($stret=-1);
-if($stret) return($stret);
-return ($ops);
-	
-
-}
-
 // Offset - visualizza il numero di elementi per pagina
 $offset=2;
@@ -461,5 +144,5 @@
 
 		echo "<div id=\"navmenu\"> <ul>";
-		while(list($sez_num, $sez_id ,$sede_id,$cursez) = $res->fetch(PDO::FETCH_NUM)) {
+		while(list($sez_num, $sez_id ,$sede_id,$colore) = $res->fetch(PDO::FETCH_NUM)) {
 			$ops='';
 			if(!$id_sez) {$id_sez=$sez_id; $id_sede=$sede_id;}
@@ -471,42 +154,5 @@
 
 			list($circ_id) = $result->fetch(PDO::FETCH_NUM);
-			/*
-			//colora la sezione
-			$sezstat=0; #die($ops);
-			$sezstat=stato_rilevazione($sez_id,$solosede);
-			$cursez="style=\" background: #bbbbbb;";
-			$bgsez="";
-			if ($sezstat>0) { 
-				$cursez="style=\" background: #FF3300;";#rosso;
-			}else{ 
-					if($sezstat==-5 or ($sezstat==-3 and $votoc))
-						if($status<$num_ril or ($votoc and $status==0) or ($genere==5 and $status==2)) {$cursez="style=\" background: #ADFF2F;";}#verde-giallo
-						else $cursez="style=\" background: #99CC33;"; #verde
-					elseif($sezstat==-3){ 
-						if($status==0) {$cursez="style=\" background: #B0E0E6;";}#powder-blue
-						elseif(($genere==4 and $status==5) or $votoc or $status==5 or ($genere==3 and $status==4)) $cursez="style=\" background: #99CC33;"; #verde
-						else $cursez="style=\" background: #00BFFF;"; #deepsky-blue
-						}
-					elseif($sezstat==-4){
-						if($status==2) {$cursez="style=\" background: #F5F5F5;";}#whitesmoke
-						elseif ($genere>1 or ($genere==0 and $status<5)) $cursez="style=\" background: #98FB98;"; #palegreen
-						elseif ($genere==0 and $status==0) {$cursez="style=\" background: #DAA520;";} #gold
-						else $cursez="style=\" background: #99CC33;"; #verde
-						}
-					elseif($sezstat==-2){
-						if($status==0) {$cursez="style=\" background: #B0E0E6;";}#powder-blue
-						else $cursez="style=\" background: #00BFFF;"; #deepsky-blue
-						}
-					elseif($sezstat==-1){
-						if($status==0 and $status<$num_ril) {$cursez="style=\" background: #F5F5DC;";}#beige
-						elseif($status==1 and $status<$num_ril) {$cursez="style=\" background: #D3D3D3;";}#lightgray
-						elseif($status==2 and $status<$num_ril) {$cursez="style=\" background: #E0FFFF;";}#lightcyan
-						elseif($status==3 and $status<$num_ril) {$cursez="style=\" background: #F0E68C;";}#kaki
-						else {$sezstat=-4;$cursez="style=\" background: #DAA520;";} #gold
-						}
-				}
-							
-			if ($sezstat) $ops=abs($sezstat); else $ops=1;
-			*/
+
 			if(!$ops) $ops=1;
 			$sql="SELECT num_sez FROM ".$prefix."_ele_sezioni where id_sez='$id_sez'";
@@ -516,5 +162,7 @@
 
 			list($numero_sez) = $res2->fetch(PDO::FETCH_NUM);
-			if ($sez_num==$numero_sez) {$cursez.= " border: solid; border-color: YELLOW; border-width: 4px; border-left: solid gray 4px; border-top: solid gray 4px; \"";} else $cursez.=" \"";
+			if ($sez_num==$numero_sez) {
+				$cursez= "style=\" background: $colore; border: solid; border-color: YELLOW; border-width: 4px; border-left: solid gray 4px; border-top: solid gray 4px; \"";} 
+			else $cursez="style=\" background: $colore; \"";
 			echo "\n<li $cursez><b><a href=\"admin.php?op=voti&amp;id_cons_gen=$id_cons_gen&amp;id_circ=$circ_id&amp;id_sede=$sede_id&amp;id_sez=$sez_id&amp;ops=$ops&amp;do=spoglio&amp;id_lista=$id_lista\">$sez_num</a></b></li>\n";
 		}
@@ -998,4 +646,5 @@
 		."<input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">"
 		."<input type=\"hidden\" name=\"id_cons\" value=\"$id_cons\">"
+		."<input type=\"hidden\" name=\"genere\" value=\"$genere\">"
 		."<input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\">"
 		."<input type=\"hidden\" name=\"id_circ\" value=\"$id_circ\">"
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 259)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 260)
@@ -76,4 +76,5 @@
 		define("_GRUPPO","Lista");
 		define("_CANDIDATO","Candidato");
+		define("_LISTA","Lista");
 		define("_GRUPPOLOGO","Logo della Lista");
 		define("_CONSI","Candidato Lista");
Index: trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 259)
+++ trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 260)
@@ -103,5 +103,5 @@
 
 
-controllo_votig($id_cons,$id_sez,$genere,$id_gruppo);
+controllo_votig($id_cons,$id_sez,$genere);
 
 if ($fileout) fclose($fp);
@@ -117,8 +117,4 @@
 	global $prefix,$dbi,$id_sede,$id_cons_gen;
 		##############################
-	$sql="select * from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-	$conta=$resc->rowCount();
 	$err=0; $err2=0;
 	$sql="SELECT id_gruppo FROM ".$prefix."_ele_gruppo where id_cons='$id_cons'";
Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 259)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 260)
@@ -25,26 +25,26 @@
 
 if (isset($_GET['genere'])) $genere=intval($_GET['genere']); else $genere='';
-if (isset($_GET['id_cons_gen'])) $id_cons_gen=intval($_GET['id_cons_gen']); else $id_cons_gen='';
-if (isset($_GET['id_cons'])) $id_cons=intval($_GET['id_cons']); else $id_cons='';
-if (isset($_GET['op'])) $op=intval($_GET['op']); else $op='';
-if (isset($_GET['id_circ'])) $id_circ=intval($_GET['id_circ']); else $id_circ='';
-if (isset($_GET['id_sez'])) $id_sez=intval($_GET['id_sez']); else $id_sez='';
-if (isset($_GET['id_sede'])) $id_sede=intval($_GET['id_sede']); else $id_sede='';
-if (isset($_GET['id_lista'])) $id_lista=intval($_GET['id_lista']); else $id_lista='';
-if (isset($_GET['valista'])) $valista=intval($_GET['valista']); else $valista='';
-if (isset($_GET['sg'])) $sg=intval($_GET['sg']); else $sg='';
-if (isset($_GET['votinulli'])) $votinulli=intval($_GET['votinulli']); else $votinulli='';
-if (isset($_GET['contestati'])) $contestati=intval($_GET['contestati']); else $contestati='';
-if (isset($_GET['update'])) $update=intval($_GET['update']); else $update='';
-if (isset($_GET['pwd3'])) $pwd3=intval($_GET['pwd3']); else $pwd3='';
-if (isset($_GET['do'])) $do=intval($_GET['do']); else $do='';
+if (isset($_GET['id_cons_gen'])) $id_cons_gen=intval($_GET['id_cons_gen']); else $id_cons_gen='0';
+if (isset($_GET['id_cons'])) $id_cons=intval($_GET['id_cons']); else $id_cons='0';
+if (isset($_GET['op'])) $op=intval($_GET['op']); else $op='0';
+if (isset($_GET['id_circ'])) $id_circ=intval($_GET['id_circ']); else $id_circ='0';
+if (isset($_GET['id_sez'])) $id_sez=intval($_GET['id_sez']); else $id_sez='0';
+if (isset($_GET['id_sede'])) $id_sede=intval($_GET['id_sede']); else $id_sede='0';
+if (isset($_GET['id_lista'])) $id_lista=intval($_GET['id_lista']); else $id_lista='0';
+if (isset($_GET['valista'])) $valista=intval($_GET['valista']); else $valista='0';
+if (isset($_GET['sg'])) $sg=intval($_GET['sg']); else $sg='0';
+if (isset($_GET['votinulli'])) $votinulli=intval($_GET['votinulli']); else $votinulli='0';
+if (isset($_GET['contestati'])) $contestati=intval($_GET['contestati']); else $contestati='0';
+if (isset($_GET['update'])) $update=intval($_GET['update']); else $update='0';
+if (isset($_GET['pwd3'])) $pwd3=intval($_GET['pwd3']); else $pwd3='0';
+if (isset($_GET['do'])) $do=intval($_GET['do']); else $do='0';
 if (isset($_GET['valista'])) $validi=intval($_GET['valista']); else $validi='0';
-if (isset($_GET['nulli'])) get_magic_quotes_gpc() ? $nulli=$_GET['nulli']:$nulli=intval($_GET['nulli']); else $nulli='';
-if (isset($_GET['bianchi'])) get_magic_quotes_gpc() ? $bianchi=$_GET['bianchi']:$bianchi=addslashes($_GET['bianchi']); else $bianchi='';
-if (isset($_GET['contestati'])) get_magic_quotes_gpc() ? $contestati=$_GET['contestati']:$contestati=addslashes($_GET['contestati']); else $contestati='';
-if (isset($_GET['votinulli'])) get_magic_quotes_gpc() ? $votinulli=$_GET['votinulli']:$votinulli=addslashes($_GET['votinulli']); else $votinulli='01-01-1900';
-if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='';
-if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='';
-if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='';
+if (isset($_GET['nulli'])) $nulli=intval($_GET['nulli']); else $nulli='0';
+if (isset($_GET['bianchi'])) $bianchi=addslashes($_GET['bianchi']); else $bianchi='0';
+if (isset($_GET['contestati'])) $contestati=addslashes($_GET['contestati']); else $contestati='0';
+if (isset($_GET['votinulli'])) $votinulli=addslashes($_GET['votinulli']); else $votinulli='0';
+if (isset($_GET['id_comune'])) $id_comune=intval($_GET['id_comune']); else $id_comune='0';
+if (isset($_GET['ops'])) $ops=intval($_GET['ops']); else $ops='3';
+if (isset($_GET['delete'])) $delete=intval($_GET['delete']); else $delete='0';
 if (isset($_GET['circo'])) get_magic_quotes_gpc() ? $circo=$_GET['circo']:$circo=addslashes($_GET['circo']); else $circo='';
 
@@ -82,8 +82,14 @@
 # if($id_lista){
 	if($pwd3==1) {
+		$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+		$sql="delete from ".$prefix."_ele_controlli where tipo='candidato' and id_sez='$id_sez' ";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
 		$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
-		$sql="delete from ".$prefix."_ele_voti_candidati where id_cons='$id_cons' and id_sez='$id_sez'";
+		$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
 		$res = $dbi->prepare("$sql");
 		$res->execute();
@@ -91,4 +97,5 @@
 		$res = $dbi->prepare("$sql");
 		$res->execute();
+		
 	}elseif($id_lista){
 		$sql="SELECT disgiunto FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons' ";
@@ -155,10 +162,6 @@
 	
 function controllo_votil($id_cons,$id_sez,$id_lista){
-	global $prefix,$dbi,$id_sede,$id_cons_gen;
+	global $prefix,$dbi,$id_sede,$id_cons_gen,$validi;
 		##############################
-	$sql="select * from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-	$conta=$resc->rowCount();
 	$err=0; $err2=0;
 	if($id_lista){
@@ -185,15 +188,28 @@
 		$resref = $dbi->prepare("$sql");
 		$resref->execute();
+		$totlis=0;
+		$totgru=0;
+		$totsg=0;
+		$totsl=0;
+        $sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
+		$res = $dbi->prepare("$sql");
+		$res->execute();
+    	list($votiv,$validil,$contestatil,$nullil,$solol) = $res->fetch(PDO::FETCH_NUM);
 		while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
 			$sql="SELECT sum(voti), sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
 			$res2 = $dbi->prepare("$sql");
 			$res2->execute();
+			$totgru+=$votig;
+			$totsg+=$svg;
 			if($res2->rowCount()){
-				list($votil,$svl)=$res2->fetch(PDO::FETCH_NUM); 
-				if(($votig+$svl)!=($votil+$svg)) 
-					$err=1;include("if(($votig+$svl)!=($votil+$svg))");
+				list($votil,$svl)=$res2->fetch(PDO::FETCH_NUM);
+				$totlis+=$votil;
+				$totsl+=$svl;
+				if(($votig+$svl)<($votil+$svg))
+					$err=1; 
 			}
-		}	
-
+			
+		}
+		if ($validil+$contestatil+$nullil+$solol+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) $err=1;
 	}
 
